> For the complete documentation index, see [llms.txt](https://docs.bravostudio.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bravostudio.app/bravo-tags/components/component-gif.md).

# GIF

A GIF will replace the content of the rectangle.

## 👉 **The Tag** <a href="#the-tag" id="the-tag"></a>

This tag allows to insert a GIF, which will replace the content of the rectangle layer where the tag is placed. Supports URL ending in **.gif.**

**📍 Where to add the tag:** A rectangle layer

```
//The tag:

[component:gif:URL]

//Sample tag to try:

[component:gif:https://media.giphy.com/media/26ybwt1cT5DfBzRU4/giphy.gif]
```

{% hint style="info" %}
You can also [directly upload a GIF file](https://help.figma.com/hc/en-us/articles/360040028034) into your Figma file to use in your app.
{% endhint %}

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-MhnNYNZL9xEDi6g9hYU%2F-MhnO00wEpEDzhxuAfgm%2Fgif.gif?alt=media\&token=19b84129-56a2-4d35-8f9e-eff01f05465e)

## 🏷️ **How to add the tag** <a href="#how-to-add-the-tag" id="how-to-add-the-tag"></a>

&#x20;   1\. **Copy** the tag.

&#x20;   2\. **Paste** the tag into the layer name of a **rectangle shape**.

![](https://1444025092-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MXpqEanvOhm8vMtIH8i%2F-MhryEhrJlVFWDfy8KIP%2F-MhrySxu3gkg62e78Z1P%2Fgif2.gif?alt=media\&token=7f37b60b-3793-4b96-acbe-592bcedf3a10)

&#x20;   3\. Replace the placeholder URL with your own (or try our sample tag).

&#x20;   4\. Import to **Bravo Studio** & preview on **Bravo Vision** 🚀 (If you imported the app before, you just need to press the button Update in ***Bravo Studio*** to see the changes)

## 💾 Example files <a href="#example-files" id="example-files"></a>

Duplicate the files below to see how to set it up!

{% @figma/embed fileId="dedkxpF23DnniDkjZnqehd" nodeId="104:1" url="<https://www.figma.com/file/dedkxpF23DnniDkjZnqehd?node-id=104:1>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bravostudio.app/bravo-tags/components/component-gif.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
